/***
 * Skip Links
 ****/
.skip:focus,
.skip:active {
    position: static;
    top: 0;
    left: 0
}

.skiplinks {
    position: absolute;
    top: 0;
    left: -32768px;
    z-index: 1000;
    width: 100%;
    margin: 0;
    padding: 0;
    list-style-type: none
}

.skiplinks .skip:focus,
.skiplinks .skip:active {
    left: 32768px;
    outline: 0 none;
    position: absolute;
    width: 100%;
}

.skiplinks a.skip:focus,
.skiplinks a.skip:active {
    color: #fff;
    background: #333;
    border-bottom: 1px #000 solid;
    padding: 10px 0;
    text-align: center;
    text-decoration: none;
}


#header {
    background-color: #ffffff;
    z-index: 2;
}


.header-wrapper {
    max-width: 1820px;
    margin: 0 auto;
    text-align: center;
    position: relative;
    ;
}

.header-logo {
    margin: 0 30px 60px 30px;
}

.header-logo a {
    margin-top: 75px;
    display: inline-block;
}

.header-logo img {
    max-width: 400px;
}

@media (max-width: 600px) {

    .header-logo img {
        max-width: 250px;
    }
}

.header-scrolled-logo {
    position: absolute;
    left: 20px;
    top: 170px;

    opacity: 0;
    visibility: hidden;
    transition: opacity 0.2s ease-in-out, visibility 0.2s ease-in-out;

    z-index: 20;
    pointer-events: all;
}

.header-scrolled-logo a {
    display: block;
}

.header-scrolled-logo.is-visible {
    opacity: 1;
    visibility: visible;
}

#navigation {
    position: fixed;
    width: 100vw;

    top: 0px;
    z-index: 3;
    pointer-events: none;
    height: 100vh;
}

.navigation-wrapper {
    max-width: 1820px;
    margin: 0 auto;
    display: flex;
    position: relative;
    flex-direction: column;
    align-items: flex-end;
    height: 100vh;
}

#mainnavigation {
    position: absolute;

    height: 100vh;

    background-color: var(--color-lightblue95);
    color: var(--color-brown);

    overflow-y: auto;
    overflow-x: hidden;

    transition: opacity 0.2s ease-in-out, transform 0.2s ease-in-out;

    z-index: 1000;
}

/* sichtbar */
#mainnavigation[aria-hidden="false"] {
    opacity: 1;
    transform: translateX(0px);
    pointer-events: all;
}

/* versteckt (animierbar!) */
#mainnavigation[aria-hidden="true"] {
    opacity: 0;
    transform: translateX(20px);
    pointer-events: none;

}

/* Mobile */
@media (max-width: 768px) {
    #mainnavigation {
        width: 100vw;
        max-width: 100vw;
    }
}

.mainnav-wrapper {
    padding: 170px 50px 20px 50px;
    display: flex;
    justify-content: space-between;
    gap: 40px;
}

.mannav-closer {
    flex: 0 0 40px;
}

.mannav-closer button {
    appearance: none;
    margin: 0;
    padding: 0;
    border: 0;
    text-align: left;
    background-color: transparent;
    cursor: pointer;
}


/* Basis-Typografie */
#mainnavigation a,
#mainnavigation li {
    color: var(--color-brown);
    text-decoration: none;
}

#mainnavigation li {
    padding: 7px 10px;
}

#mainnavigation a {
    padding-left: 60px;
}

#mainnavigation li.current a,
#mainnavigation a:hover {
    background: url(../Icons/Gutsuz_Website_SVG_Pfeil-braun_Menue_neu.svg) 0 center no-repeat;
    background-size: 38px auto;
}

/* Struktur */
#mainnavigation ul {
    flex: 1;
    margin: 0;
    padding: 0;
    list-style: none;

    font-family: 'IBM Plex Sans Condensed';
    font-size: 19px;
    text-transform: uppercase;
    letter-spacing: 0.08em;
}

/* Optional: Fokus sichtbar (WCAG) */
#mainnavigation a:focus-visible {
    outline: 2px solid #8a5222;
    outline-offset: 2px;
}

/* Bewegungsreduktion respektieren */
@media (prefers-reduced-motion: reduce) {
    #mainnavigation {
        transition: none;
    }
}


#mainmenuopener {
    appearance: none;
    margin: 170px 20px 0 0;
    border: 0;
    padding: 0;
    background-color: transparent;
    cursor: pointer;
    pointer-events: all;
}


aside.sidebar {
    flex: 1;
    margin-right: 20px;
    margin-top: 73px;
    pointer-events: all;

    width: 40px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    z-index: 100;
}


/* === NAV ====================================================== */

.sidebar-nav {
    list-style: none;
    margin: 0;
    padding: 24px 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
}

.sidebar-nav li {
    width: 100%;
    display: flex;
    justify-content: center;
    margin-bottom: 20px;
}


/* === LINK (TASTATUR & TOUCH) ================================= */

.sidebar-nav a {
    position: relative;
    width: 40px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    gap: 6px;
    text-decoration: none;
    border-radius: 6px;
    transition: transform 0.1s ease-in-out;
}

.sidebar-nav a:hover {
    transform: scale(1.2);
}

/* === ICON ===================================================== */

.sidebar-nav .icon {
    margin-top: 8px;
    display: flex;
    justify-content: center;
    margin-bottom: 8px;
}


/* === SVG-TEXT ================================================= */

.sidebar-nav .label-svg {
    display: flex;
    justify-content: center;
    margin-top: 3px;
}


/* === KOMPAKT-MODUS (NUR ICONS) ================================ */

.sidebar.is-compact .label-svg {
    display: none;
}

@media only screen and (max-width: 768px) {
    .sidebar .label-svg {
        display: none;
    }
}

/* === TO-TOP =================================================== */

/*.sidebar .totop {
    padding: 16px 0;
    display: flex;
    justify-content: center;
}

.sidebar .totop a {
    width: 44px;
    height: 54px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.sidebar .totop a:focus-visible {
    outline: 3px solid #ffffff;
    outline-offset: 3px;
}
*/





@media only screen and (max-width: 1000px) {
    .header-logo {
        margin: 30px 0;
    }

    .header-logo a {
        margin-top: 0;
    }

    #mainnavopener {
        flex: 0 0 55vh;
    }

    #mainmenuopener {
        margin: 30px 20px;
    }

    .mainnav-wrapper {
        padding: 40px;
    }

    #header {
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
    }



    aside.sidebar {
        position: fixed;
        bottom: 0;
        flex-direction: row;
        left: 0;
        right: 0;
        width: initial;
        margin: 0;
        align-items: end;
        justify-content: unset;
    }

    aside.sidebar>nav {
        margin-left: auto;
        background-color: var(--color-lightblue95);
        padding-left: 10px;
    }

    .sidebar-nav {
        flex-direction: row;
        padding: 0;
    }

    .sidebar-nav li {
        margin-bottom: 0;
    }

    .sidebar-nav a {
        height: 45px;
    }
/*
    .sidebar .totop {
        padding: 0;
        margin-right: auto;
        background-color: var(--color-lightblue95);
    }

    .sidebar .totop a {
        height: 45px;
    }

    .totop img {
        object-fit: cover;
        object-position: top;
    }

*/

    aside img {
        height: 30px !important;
    }


}